Spiga

Instalar Java 6 y plugin para Firefox


El otro día me hizo falta instalar Java 6 para que funcionara una aplicación, y tras buscar un poco esto es lo que encontré:

1.- Actualizar los repositorios:

$ sudo apt-get update

2.- Instalamos Java y Java-Plugin (y aceptamos la licencia...):

$ sudo apt-get install sun-java6-jre sun-java6-plugin

3.- Ahora actualizamos java:

$ sudo update-java-alternatives -s java-6-sun

4.- Editamos el archivo jvm, y añadimos al final de /usr/lib/jvm/java-6-sun:

$ echo "/usr/lib/jvm/java-6-sun" | sudo tee -a /etc/jvm

5.- Comprobamos si instalo bien con;

$ java -version (desde consola)
java version "1.6.0_03"
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) Client VM (build 1.6.0_03-b05, mixed mode, sharing)

Y usando desde la barra de dirección del navegador (Buscar JAVA):

about:plugins

Enlace: Instalar Java 6 y plugin para Firefox en Ubuntu 7.04. [David Suarez]

5 comentarios:

  Pablo

18 de mayo de 2008, 10:15

Hola, estuve intentando instalar el plugin de java para firefox y no soy capaz. Sabes si existe dicho paquete para hardy heron amd64??

  NeoDaVe

18 de mayo de 2008, 15:09

Lo desconozco pablo. Casi seguro que existe uns solución para amd64, pero lo que si se es que hasta que no acaben de pulir todo lo que rodea a 64bits, no lo instalare y seguire con 32bits. ;)

  Anónimo

18 de mayo de 2008, 16:22

Neo a mí la versión que me sale de java es:
1.6.0_06 y a tí te sale 1.6.0_03, habrán actualizado otra vez hace poco no?

  NeoDaVe

18 de mayo de 2008, 16:56

Anonimo... si te digo la verdad he instalado Java en el portatil y lo tengo con la 7'10 aun, por eso que tendras una versión más reciente :)

  Jesús

20 de mayo de 2008, 6:02

Al tratar de actualizar Java me sale todo esto:

No hay alternativas para appletviewer.
No hay alternativas para apt.
No hay alternativas para extcheck.
No hay alternativas para firefox-javaplugin.so.
No hay alternativas para HtmlConverter.
No hay alternativas para iceape-javaplugin.so.
No hay alternativas para iceweasel-javaplugin.so.
No hay alternativas para idlj.
No hay alternativas para jar.
No hay alternativas para jarsigner.
No hay alternativas para javac.
No hay alternativas para javadoc.
No hay alternativas para javah.
No hay alternativas para javap.
No hay alternativas para java-rmi.cgi.
No hay alternativas para jconsole.
No hay alternativas para jdb.
No hay alternativas para jhat.
No hay alternativas para jinfo.
No hay alternativas para jmap.
No hay alternativas para jps.
No hay alternativas para jrunscript.
No hay alternativas para jsadebugd.
No hay alternativas para jstack.
No hay alternativas para jstat.
No hay alternativas para jstatd.
No hay alternativas para midbrowser-javaplugin.so.
No hay alternativas para mozilla-javaplugin.so.
No hay alternativas para native2ascii.
No hay alternativas para rmic.
No hay alternativas para schemagen.
No hay alternativas para serialver.
No hay alternativas para wsgen.
No hay alternativas para wsimport.
No hay alternativas para xjc.
No hay alternativas para xulrunner-addons-javaplugin.so.
No hay alternativas para xulrunner-javaplugin.so.
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/appletviewer
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/apt
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/extcheck
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/HtmlConverter
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/idlj
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jarsigner
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jar
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/javac
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/javadoc
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/javah
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/javap
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/java-rmi.cgi
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jconsole
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jdb
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jhat
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jinfo
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jmap
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jps
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jrunscript
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jsadebugd
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jstack
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jstatd
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/jstat
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/native2ascii
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/rmic
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/schemagen
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/serialver
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/wsgen
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/wsimport
update-java-alternatives: jdk alternative does not exist: /usr/lib/jvm/java-6-sun/bin/xjc
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/ControlPanel' para proporcionar `ControlPanel'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/java' para proporcionar `java'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/java_vm' para proporcionar `java_vm'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/javaws' para proporcionar `javaws'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/jcontrol' para proporcionar `jcontrol'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/keytool' para proporcionar `keytool'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/orbd' para proporcionar `orbd'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/pack200' para proporcionar `pack200'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/policytool' para proporcionar `policytool'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/rmid' para proporcionar `rmid'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/rmiregistry' para proporcionar `rmiregistry'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/servertool' para proporcionar `servertool'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/tnameserv' para proporcionar `tnameserv'.
Se utiliza `/usr/lib/jvm/java-6-sun/jre/bin/unpack200' para proporcionar `unpack200'.
No hay alternativas para xulrunner-addons-javaplugin.so.

*************

¿Qué debo hacer?

Gracias